XMDS2(1)

NAME
xmds2 - the eXtensible Multi-Dimensional Simulator v2

SYNOPSIS
xmds2 [options] fileToBeParsed

DESCRIPTION
The program xmds2 is a code generator that integrates equations. You write them down in human readable form in an XML file, and it goes away and writes and compiles a C++ program that integrates those equations as fast as it can possibly be done in your architecture.

For information as to how to write a script for xmds, and how to solve problems in physics, mathematics and even finance and economics, read the associated documentation available from the xmds web site: http://www.xmds.org.

OPTIONS

-h, --help
    Print help message

-o file, --output-file=file
    This overrides the name of the output file to be generated

-v, --verbose
    Verbose mode

-g, --debug
    Debug mode. Compiler error messages report errors in the .cc file, not the .xmds file. Implies --verbose. Mostly useful when debugging xmds code generation.

-n, --no-compile
    Only generate a source file, don't compile

--configure
    Run configuration checks for compiling simulations

--reconfigure
    Run configuration using the same options as used with the last time --configure was run with the additional arguments specified

--include-path /path/to/include
    Add the path /path/to/include to the list of paths searched for include headers This option is only meaningful when used with --(re)configure

--lib-path /path/to/lib
    Add the path /path/to/lib to the list of paths searched for libraries This option is only meaningful when used with --(re)configure

FILES

${HOME}/.xmds/
    Directory for storing settings and fftw wisdom files.

SEE ALSO
xsil2graphics2(1)

For further help, please see http://www.xmds.org

AUTHORS

Graham Dennis <graham.dennis@anu.edu.au>, Joe Hope, Mattias Johnsson, Andy Ferris, Michael Hush, Gabriel McManus, and others.